Subject: Adding a New index structure to Postgres

From: "Schenkelaars.V.F" <[email-masked]>
Date: Wed, 10 Jun 92 11:39:32 MET DST

Dear Postgres Group,

The subject of my masters thesis is adding a new index structure
to Postgres. This new index structure is based on the R-tree. I
changed some of the code of the R-tree as provifded with Postgres.
My question is: What do I have to do to use this new index structure
with Postgres? What relations need to know about this new index structure ?
What I would like to have is a stepwise procedure for this problem.

Greetings 

     ____________________
 \  / . _   _  _   _  |
  \/ ( ( \ (_ (-' ( \ |

P.S.
   I've reported a problem about defining an R-tree index after all the
tuples are appended. This seems not to work, while definig first the index
and append the tuples afterwards does work. I want to be able to copy all
the tuples to a relation because it is much faster than appneding. Since
my masters thesis is depending on this, would you please look at this problem
soon.

   Regards
--------------------------------------------------------------------------------
Vincent F. Schenkelaars				|
Company: FEL-TNO                                | Private:
Email  : [email-masked]	|
address: Oude Waalsdorperweg 63			| Groenhovenstraat 12
         Postbus 96864				|
         2509 JG  Den Haag			| 2311 BT  Leiden
         The Netherlands			| The Netherlands
Phone  : Holland 070-3264221			| Holland 071-125576
Fax    : Holland 070-3280961			|
--------------------------------------------------------------------------------
We apologize for the inconvenience.